{% extends 'base.html' %}

{% block title %}
    Task List
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            <p class="button-bar">
                <a href={% url 'create_project' %}>Create a new project</a>
                <a href={% url 'create_task' %}>Create a new task</a>
            </p>
            {% if not tasks %}
                <p>You have no tasks</p>
            {% else %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th id="is-completed">Is completed</th>
                        <th>Project</th>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td class="yesno">{{ task.is_completed|yesno }}</td>
                                <td class="table-a">
                                    <a href={% url "show_project" task.project.id %}>{{ task.project.name }}</a>
                                </td>
                                <td class="table-a">
                                    <a href={% url "show_notes" task.id %}>Notes ({{ task.notes.all|length }})</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
